Index: trunk/expressoMail1_2/templates/default/login_offline.tpl
===================================================================
--- trunk/expressoMail1_2/templates/default/login_offline.tpl	(revision 1121)
+++ trunk/expressoMail1_2/templates/default/login_offline.tpl	(revision 1932)
@@ -8,5 +8,5 @@
 <META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
 <META NAME="keywords" CONTENT="{website_title} login screen, eGroupWare, groupware, groupware suite">
-<link href="../phpgwapi/templates/celepar/login.css" rel="stylesheet" type="text/css">
+<link href="../phpgwapi/templates/default/login.css" rel="stylesheet" type="text/css">
 <TITLE>{website_title} - {lang_login}</TITLE>
 <script src="js/local_messages.js?1.222" type='text/javascript'></script>
@@ -16,32 +16,27 @@
 <script language="Javascript">
 <!--
-	
-	function submitIt(event){
-		/*if(event.keyCode == 13)
-			document.login.submit();*/		
-	}
 
 	function setLogin(){
-		if( document.login.organization != null)
-			document.login.login.value = document.login.organization.value+'-'+document.login.user.value;
+		if( document.flogin.organization != null)
+			document.flogin.login.value = document.flogin.organization.value+'-'+document.flogin.user.value;
 		else
-			document.login.login.value = document.login.user.value;			
+			document.flogin.login.value = document.flogin.user.value;			
 	}
 	
 	function getLogin(){
 		var cookie = '{cookie}';
-		if( document.login.organization != null)
-			document.login.user.value= cookie.substring(cookie.indexOf('-')+1,cookie.length);
+		if( document.flogin.organization != null)
+			document.flogin.user.value= cookie.substring(cookie.indexOf('-')+1,cookie.length);
 		else	
-			document.login.user.value= cookie;
+			document.flogin.user.value= cookie;
 
-		if(document.login.user.value == '') {
-			if(document.login.organization != null)
-				document.login.organization.focus();
+		if(document.flogin.user.value == '') {
+			if(document.flogin.organization != null)
+				document.flogin.organization.focus();
 			else
-				document.login.user.focus();
+				document.flogin.user.focus();
 		}
 		else
-			document.login.passwd.focus();
+			document.flogin.passwd.focus();
 	}
 	
@@ -50,81 +45,76 @@
 		newScreenY  = 0;		
 		Window1=window.open(link,'',"width="+newWidth+",height="+newHeight+",screenX="+newScreenX+",left="+newScreenX+",screenY="+newScreenY+",top="+newScreenY+",toolbar=no,scrollbars=yes,resizable=no");				
-	}
-	
+	}	
 	-->
 </script>
 </HEAD>
-<body scroll="no"  style="overflow:hidden"  bgcolor="#ffffff" onload="expresso_offline_access.fill_combo_of_users(document.getElementById('users_combo'))">
-<table border="0" height="100%" width="100%">
-<tr><td align="center" valign="center">
-<table align="center" border="1" bordercolor="#cfcfcf" cellpadding="0" cellspacing="0" width="100%"  height="100%">
-<tbody><tr>
-    <td  height="100%">
-<table cellpadding="0" cellspacing="0" width="100%"  height="100%">
-	<tbody><tr>			
-    <td bgcolor="#E8EEF7"  height="100%">
-    <table cellpadding="0" height="100%" cellspacing="0" width="100%" border="0"><tr><td width="60%">&nbsp;</td><td>
-	<div align="center" id='div_error' class="msgInicial">{cd}<br>{lang_message}<br>{website_title} - 01<br><br></div>
-        <table border="0" bordercolor="#cfcfcf" cellpadding="0" cellspacing="0" width="300">
-          <tbody><tr>
-				<FORM name="login" method="post" action="{login_url}" {autocomplete} onsubmit="expresso_offline_access.do_login(document.getElementById('users_combo').value,MD5(document.getElementById('passwd').value));return false;">
-            	<td bgcolor="#f7f7f7" style="border:1px solid black">
-					<table  border="0" cellpadding="0" cellspacing="0" class="tableLogin">
-						<tr><td height="2px">&nbsp;</td></tr>
-					  <tr>
-						<td width="96" class="loginLabel">{lang_username}:&nbsp;</td>
-						<td width="105"><select name="user" id='users_combo'></select><!--input name="user" size="20"--></td>
-						<td width="43" rowspan="3"><img src="../phpgwapi/templates/celepar/images/icon_login.gif" width="43" height="64"></td>
-					  </tr>
-					  <tr>
-						<td width="66" class="loginLabel">{lang_password}:&nbsp;</td>
-						<td width="135"><input name="passwd" type="password" size="20" id="passwd"></td>
-						<td>&nbsp;</td>		
-					  </tr>
-					  <tr>
-						<td width="66">&nbsp;</td>
-						<td width="135">
-						  <input type="button" value="{lang_login}" name="submitit" class=button onclick="expresso_offline_access.do_login(document.getElementById('users_combo').value,MD5(document.getElementById('passwd').value))">
-						</td>
-						</tr>
-					  <tr>	
-				  		<td width="66">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-				  			</td>
-						<td width="135">&nbsp;</td>
-						<td>&nbsp;</td>	
-				  			
-				  	   </tr>		
-					</table>              
-              </td>
-              </form>
-          </tr>
-        </tbody></table>      
-      </td</tr></table>
-      </div>
-      </td>		
-    <td valign="bottom" bgcolor="#e8eef7"><div align="left"><img src="../phpgwapi/templates/celepar/images/logo_expresso_1.gif" alt=""></div></td>
+<body scroll="no"  style="overflow:hidden" onload="expresso_offline_access.fill_combo_of_users(document.getElementById('users_combo'))" bgcolor="#ffffff">
+<FORM name="login" method="post" action="{login_url}" {autocomplete} onsubmit="expresso_offline_access.do_login(document.getElementById('users_combo').value,MD5(document.getElementById('passwd').value));return false;">
+<!--form name="flogin" method="post" action="{login_url}" {autocomplete}-->
+<div id="conteudo">
+<div style="position: absolute; top:0px; right: 10px;"><span class="login_label">{lang_language}&nbsp;&nbsp;</span>{select_language}</div>
+<div align="center">
+	<div id="conteudo_corpo">
+		<div id="superior">
+		<div id="login">
+      <div align="center">
+
+<input type="hidden" name="passwd_type" value="text">
+<input type="hidden" name="account type" value="u">
+<input type="hidden" name="login">
+<div id="caixa_login">
+          <div id="reflexo">
+           <div class="titulo_login">Expresso.Ba</div>
+           <div id="div_error" class="msgInicial" >{cd}<br>{lang_message}</div>
+	   {action}
+            <div id="conteudo_login" style="display:{show};">{select_organization}
+              <div class="login_label">
+                <label for="usuario">{lang_username}</label>
+                <br />
+                <select name="user" id='users_combo'></select><!--input class="input" type="text" maxlength="50" size="20" name="user" id="user" value=""-->
+              </div>
+
+              <div class="login_label">
+                <label for="senha">{lang_password}</label>
+                <br />
+                <input class="input" type="password" maxlength="50" size="20" name="passwd" id="passwd" value="">
+              </div>
+      <input type="button" value="{lang_login}" name="submitit" class=button onclick="expresso_offline_access.do_login(document.getElementById('users_combo').value,MD5(document.getElementById('passwd').value))">
+              <!--input value="{lang_login}" name="submitit" class="button" onclick="javascript:setLogin()" type="submit" style="margin-top:10px"/-->
+            </div> 
+<div style="margin-top:5px">
+ {link_alterna_login}
+</div>
+          </div>
+          <div id="rodape_login">
+	   
+          </div>
+        </div>
+</form>
+</div>
+</div>
+</div>
+<div id="inferior"><br /><br /><br />
+<div id="rodape">
+<table align="center" cellspacing="0" cellpadding="0" border="0">
+	<tr>
+		<td>
+			<table border="0" cellpadding="0" cellspacing="0" width="300px">
+          		<tbody>
+          			<tr> 
+            			<td>{logo_config}
+				<br><a title="Projeto Expresso Livre" target="_blank" href="http://www.expressolivre.org/">Expresso Livre</a> {version}
+				<br><a title="eGroupWare" target="_blank" href="http://www.egroupware.org/"> Powered by eGroupWare </a></div></td>
+          			</tr>
+        		</tbody>
+        	</table>
+        </td>
 	</tr>
-	<tr>		
-    <td background="../phpgwapi/templates/celepar/images/logo_expresso_4.gif"><div align="right"><img src="../phpgwapi/templates/celepar/images/logo_expresso_3.gif" alt="" height="46" width="485"></div></td>		
-    <td background="../phpgwapi/templates/celepar/images/logo_expresso_5.gif"><div align="left"><img src="../phpgwapi/templates/celepar/images/logo_expresso_2.gif" alt="" height="46" width="285"></div></td>
-	</tr>	
-	<tr>	
-<style type="text/css">
-<!--
-.style2 {font-size: 10px}
--->
-</style>
-    <td bgcolor="#f7f7f7" valign="top"><div align="right">
-        <table border="0" cellpadding="0" cellspacing="0" width="300px">
-          <tbody><tr> 
-            <td><a title="Governo do Paran&aacute;" href="http://www.pr.gov.br" target="_blank"><img border=0 src="../phpgwapi/templates/celepar/images/logo_governo.gif"/></a></td>
-            <td><div align="center"><a title="Celepar Inform&aacute;tica do Paran&aacute;" target="_blank" href="http://www.celepar.pr.gov.br/"><img border=0 src="../phpgwapi/templates/celepar/images/logo_celepar.gif"></a><a title="eGroupWare" style="text-decoration:none" target="_blank" href="http://www.egroupware.org/"><font color="#9a9a9a" face="Verdana, Arial, Helvetica, sans-serif" size="1"><br>Powered by eGroupWare {version}</a></font></div></td>
-          </tr>
-        </tbody></table><br>
-      </div></td>
-	 <td bgcolor="#f7f7f7" height="100%"></td>
-	</tr>	
-</tbody></table>
-</td></tr></tbody></table>
-</td></tr></table>
+</table>
+</div>
+</div>
+</div>
+</div>
+</div>
+<div>{applet}</div>
 </body></html>
Index: trunk/expressoMail1_2/login_offline.php
===================================================================
--- trunk/expressoMail1_2/login_offline.php	(revision 1121)
+++ trunk/expressoMail1_2/login_offline.php	(revision 1932)
@@ -336,4 +336,16 @@
 		$tmpl->set_var('language_select','');
 	}
+	
+	if (count($GLOBALS['phpgw_info']['server']['login_logo_file']) > 0) {
+		$logo_config = $GLOBALS['phpgw_info']['server']['login_logo_file'];
+		$logo_config = ereg_replace("phpgwapi/","../phpgwapi/",$logo_config);
+		$tmpl->set_var('logo_config',$logo_config);	
+	}
+		else
+			$tmpl->set_var('logo_config','<a title="Governo do Paran&aacute" href="http://www.pr.gov.br" target="_blank"><img src="../phpgwapi/templates/'.$GLOBALS['phpgw_info']['login_template_set'].'/images/logo_governo.gif" border="0"></a></td>
+			<td><div align="center"><font color="#9a9a9a" face="Verdana, Arial, Helvetica, sans-serif" size="1">
+	<a title="Celepar Inform&aacute;tica do Paran&aacute;" target="_blank" href="http://www.celepar.pr.gov.br/">
+	<img src="../phpgwapi/templates/'.$GLOBALS['phpgw_info']['login_template_set'].'/images/logo_celepar.gif" border="0"></a>');
+	
 /*foreach ($GLOBALS['phpgw_info']['user'] as $indice => $valor)
 					echo "$indice > $valor <br>";
Index: trunk/expressoMail1_2/programed_archiving.php
===================================================================
--- trunk/expressoMail1_2/programed_archiving.php	(revision 1595)
+++ trunk/expressoMail1_2/programed_archiving.php	(revision 1932)
@@ -62,6 +62,6 @@
 		//Bibliotecas JS.
 		$obj = createobject("expressoMail1_2.functions");
+		echo "<script src='js/gears_init.js'></script>";
 		$libs =  $obj -> getFilesJs("js/main.js," .
-								"js/gears_init.js," .
 								"js/local_messages.js," .
 								"js/offline_access.js," .
Index: trunk/expressoMail1_2/offline.php
===================================================================
--- trunk/expressoMail1_2/offline.php	(revision 1507)
+++ trunk/expressoMail1_2/offline.php	(revision 1932)
@@ -169,8 +169,10 @@
 							"js/local_messages.js," .
 							"js/messages_proxy.js," .
-							"js/rich_text_editor.js," .
+					//		"js/rich_text_editor.js," .
 							"js/wfolders.js,".
 							"js/offline_access.js,",
 							$GLOBALS['phpgw_info']['flags']['update_version']);
+
+	echo $obj -> getFilesJs("js/rich_text_editor.js,",$GLOBALS['phpgw_info']['flags']['update_version']);
 
 	if ($GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_shortcuts'])
@@ -198,4 +200,8 @@
 <script src="js/connector.js?<?=$update_version?>" type="text/javascript"></script>
 <script src="../phpgwapi/js/dftree/dftree.js?<?=$update_version?>" type="text/javascript"></script>
+<?php
+	$offline_language = "pt-br";
+	include("inc/load_lang.php");
+?>
 <script language="Javascript">
 	expresso_offline_access.has_permition();
Index: trunk/expressoMail1_2/js/manifest
===================================================================
--- trunk/expressoMail1_2/js/manifest	(revision 1622)
+++ trunk/expressoMail1_2/js/manifest	(revision 1932)
@@ -4,5 +4,5 @@
 
   // version of the set of resources described in this manifest file
-  "version": "first version",
+  "version": "second version",
 
   // optional
@@ -56,4 +56,5 @@
 	  { "url": "../../phpgwapi/templates/celepar/js/pngfix.js" },
 	  { "url": "../../phpgwapi/templates/celepar/login.css" },
+	  { "url": "../../phpgwapi/templates/default/login.css" },
 
 	  { "url": "../../phpgwapi/js/wz_dragdrop/wz_dragdrop.js?1.222" },
@@ -71,4 +72,14 @@
 	  { "url": "../../phpgwapi/templates/default/images/foldertree_folderopen.png" },
 	  { "url": "../../phpgwapi/templates/default/images/fundo_topo.png" },
+	  { "url": "../../phpgwapi/templates/default/images/back_pagina.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/fundo1.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/back_botao.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/corpo.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/topo_reflexo.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/back_botao_over.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/fundo2.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/rodape.jpg" },
+	  { "url": "../../phpgwapi/templates/default/images/logo_celepar.jpg" },
+	  
 
 