Index: branches/2.1/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- branches/2.1/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 1913)
+++ branches/2.1/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 1971)
@@ -107,5 +107,5 @@
 			$info['uid']				= $params['uid'];
 			$info['mail']				= $params['mail'];
-			$info['description'] = utf8_encode($params['description']);			
+			$info['description'] = utf8_encode($params['desc']);			
 			$info['phpgwAccountType']	= 's';
 			$info['objectClass'][]		= 'inetOrgPerson';
@@ -2073,5 +2073,5 @@
 		$info['uid']				= $uid;
 		$info['mail']				= $params['mail'];
-		$info['description']		= $params['description'];
+		$info['description']		= $params['desc'];
 		$info['phpgwAccountType']	= 'i';
 		$info['objectClass'][]		= 'inetOrgPerson';
@@ -2199,6 +2199,6 @@
 			$info['phpgwAccountVisible'] = array();
 		
-		if ($params['description'] != '')
-			$info['description'] = utf8_encode($params['description']);
+		if ($params['desc'] != '')
+			$info['description'] = utf8_encode($params['desc']);
 		else
 			$info['description'] = array();
@@ -2446,6 +2446,6 @@
 				$info['phpgwAccountVisible'] = array();
 			
-			if ($params['description'] != '')
-				$info['description'] = utf8_encode($params['description']);
+			if ($params['desc'] != '')
+				$info['description'] = utf8_encode($params['desc']);
 			else
 				$info['description'] = array();
Index: branches/2.1/expressoAdmin1_2/js/jscode/institutional_accounts.js
===================================================================
--- branches/2.1/expressoAdmin1_2/js/jscode/institutional_accounts.js	(revision 1458)
+++ branches/2.1/expressoAdmin1_2/js/jscode/institutional_accounts.js	(revision 1971)
@@ -241,6 +241,8 @@
 			Element('cn').value = data.cn;
 			Element('mail').value = data.mail;
-			Element('description').value = data.description;
-			Element('ea_select_owners').innerHTML = data.owners;
+			Element('desc').value = data.description;
+			//Necessario, pois o IE6 tem um bug que não exibe as novas opções se o innerHTML estava vazio
+			Element('ea_select_owners').innerHTML = '&nbsp;' + data.owners;
+			Element('ea_select_owners').outerHTML = Element('ea_select_owners').outerHTML;
 
 			sinc_combos_org(data.user_context);
Index: branches/2.1/expressoAdmin1_2/js/modal/modal.js
===================================================================
--- branches/2.1/expressoAdmin1_2/js/modal/modal.js	(revision 493)
+++ branches/2.1/expressoAdmin1_2/js/modal/modal.js	(revision 1971)
@@ -2,6 +2,9 @@
 {
 	try{
-		//content = Element(id).innerHTML;
 		content = Element(id).cloneNode(true);
+		//Acrescentado para eliminar bug do IE que deixa um formulario inválido,
+		//se for inserido outro na mesma página com o mesmo ID, ficando ambos inválidos
+		content_code = content.innerHTML;		
+		content.innerHTML = content_code.replace("_template","");
 		title   = Element(id + '_title').value;
 		width   = Element(id + '_width').value;
Index: branches/2.1/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl
===================================================================
--- branches/2.1/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl	(revision 1917)
+++ branches/2.1/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl	(revision 1971)
@@ -7,5 +7,5 @@
 <input type="hidden" id="{modal_id}_onload_action" value="set_onload({manager_context})">
 
-<form enctype="multipart/form-data" name="institutional_accounts_form" method="post">
+<form enctype="multipart/form-data" name="institutional_accounts_form_template" method="post">
 <input type="hidden" id="anchor" name="anchor">
 
@@ -26,5 +26,5 @@
 
 			{lang_description}:<br>
-			<input id="description" name="description" size="60" autocomplete="off"><br>
+			<input id="desc" name="desc" size="60" autocomplete="off"><br>
 							
 			{lang_is_account_active}: <input type="checkbox" id="accountStatus" name="accountStatus" checked><br>