Index: branches/2.1/expressoAdmin1_2/js/jscode/shared_accounts.js
===================================================================
--- branches/2.1/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 1915)
+++ branches/2.1/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 1984)
@@ -190,11 +190,12 @@
 	{
 		select_owners.innerHTML = "&nbsp;" + new_options + select_owners.innerHTML;
-		select_owners.outerHTML = select_owners.outerHTML;
-		select_owners.options[0].selected = true;
-                Element('em_input_readAcl').checked = false;
+		select_owners.outerHTML = select_owners.outerHTML;		
+        Element('em_input_readAcl').checked = false;
 		Element('em_input_deleteAcl').checked = false;
 		Element('em_input_writeAcl').checked = false;
 		Element('em_input_sendAcl').checked = false;
-                Element('em_input_sendAcl').disabled = true;
+        Element('em_input_sendAcl').disabled = true;
+        select_owners = Element('ea_select_owners');
+        select_owners.options[0].selected = true;
 	}
 }
@@ -209,5 +210,7 @@
                         select_owners.options[i--] = null;
                 }
-       if(select_owners.options.length > 1 ){
+		//Nova chamada a "Element" é Necessária devido a um bug do ie com select
+	   select_owners = Element('ea_select_owners');
+       if(select_owners.options.length > 0 ){
             select_owners.options[0].selected = true;
             var user = select_owners.options[0].value;
@@ -275,25 +278,30 @@
 			Element('cn').value = data.cn;
 			Element('mail').value = data.mail;
-                        Element('mailquota').value = data.mailquota;
-                        Element('mailquota_used').value = data.mailquota_used;
-                        Element('quota_used_field').style.display = 'inline';
-			Element('description').value = data.description;
-			Element('ea_select_owners').innerHTML = data.owners_options;
-                        Element('display_empty_inbox').style.display = data.display_empty_inbox;
-                        if( data.allow_edit_shared_account_acl == "0"){
-                            Element('bt_add_user').disabled = true;
-                            Element('bt_remove_user').disabled = true;
-                            Element('em_input_readAcl').disabled = true;
-                            Element('em_input_deleteAcl').disabled = true;
-                            Element('em_input_writeAcl').disabled = true;
-                            Element('em_input_sendAcl').disabled = true;
-                            Element('em_input_saveAcl').disabled = true;
-                        }
+            Element('mailquota').value = data.mailquota;
+            Element('mailquota_used').value = data.mailquota_used;
+            Element('quota_used_field').style.display = 'inline';
+            Element('desc').value = data.description;
+            //Necessario, pois o IE6 tem um bug que não exibe as novas opções se o innerHTML estava vazio
+            Element('ea_select_owners').innerHTML = '&nbsp;' + data.owners_options;
+            Element('ea_select_owners').outerHTML = Element('ea_select_owners').outerHTML;
+
+            Element('display_empty_inbox').style.display = data.display_empty_inbox;
+            if( data.allow_edit_shared_account_acl == "0"){
+                Element('bt_add_user').disabled = true;
+                Element('bt_remove_user').disabled = true;
+                Element('em_input_readAcl').disabled = true;
+                Element('em_input_deleteAcl').disabled = true;
+                Element('em_input_writeAcl').disabled = true;
+                Element('em_input_sendAcl').disabled = true;
+                Element('em_input_saveAcl').disabled = true;
+            }
 
 			sinc_combos_org(data.user_context);
                         sharemailbox.ownersAcl = new Array();
-			for (i=0; i<data.owners.length; i++){
-					sharemailbox.ownersAcl[ data.owners[i] ] = data.owners_acl[i];	
-			}
+            if( data.owners != "undefined" && data.owners_acl != "undefined" ){ 
+				for (i=0; i<data.owners.length; i++){
+						sharemailbox.ownersAcl[ data.owners[i] ] = data.owners_acl[i];	
+				}
+            }
 		}
 		else