Index: /trunk/expressoMail1_2/js/common_functions.js
===================================================================
--- /trunk/expressoMail1_2/js/common_functions.js	(revision 1899)
+++ /trunk/expressoMail1_2/js/common_functions.js	(revision 2005)
@@ -116,5 +116,5 @@
 	remove_className(tr_message, 'tr_msg_unread');
 	remove_className(tr_message, 'selected_msg');
-	connector.purgeCache();
+	expresso.connector.purgeCache();
 	return true;
 }
@@ -284,5 +284,5 @@
 	a_tmp[1] = 'file_' + countDivFiles;
 	a_tmp[2] = file_name;
-	s_tmp = escape(connector.serialize(a_tmp));
+	s_tmp = escape(expresso.connector.serialize(a_tmp));
 	var checkbox = document.createElement("INPUT");
 	checkbox.type = "checkbox";
@@ -496,10 +496,10 @@
 			if ((field != 'null') && (ID != 'null'))
 			{
-				connector.loadScript("QuickCatalogSearch");
+				expresso.connector.loadScript("QuickCatalogSearch");
 				QuickCatalogSearch.showList(data, quickSearchKeyBegin, quickSearchKeyEnd);
 			}
 			else
 			{
-				connector.loadScript("QuickSearchUser");
+				expresso.connector.loadScript("QuickSearchUser");
 				QuickSearchUser.showList(data);
 			}
@@ -539,11 +539,11 @@
 
 function folderbox(){
-	connector.loadScript("TreeS");
+	expresso.connector.loadScript("TreeS");
 	ttree.make_Window();
 }
 
 function filterbox(){
-	connector.loadScript("filter");
-	connector.loadScript("filters");
+	expresso.connector.loadScript("filter");
+	expresso.connector.loadScript("filters");
 	filters.Forms();
 }
@@ -557,5 +557,5 @@
 			options += "<option value='"+data[x].uid+"'>"+data[x].cn+"</option>";
 		}
-		connector.loadScript("sharemailbox");
+		expresso.connector.loadScript("sharemailbox");
 		sharemailbox.makeWindow(options);
 	}
@@ -568,5 +568,5 @@
 
 function search_emails(value){
-	connector.loadScript("search");
+	expresso.connector.loadScript("search");
 	EsearchE.showForms(value);
 }
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 1999)
+++ /trunk/expressoMail1_2/js/main.js	(revision 2005)
@@ -42,7 +42,7 @@
 
 		if (preferences.use_local_messages==1) {
-			connector.loadScript('mail_sync');
+			expresso.connector.loadScript('mail_sync');
 			if (is_ie)
-				connector.loadScript('TreeShow');
+				expresso.connector.loadScript('TreeShow');
 			setTimeout('auto_archiving()', 30000);
 			if (expresso_local_messages.is_offline_installed()) {
Index: /trunk/expressoMail1_2/js/ccQuickAdd.js
===================================================================
--- /trunk/expressoMail1_2/js/ccQuickAdd.js	(revision 197)
+++ /trunk/expressoMail1_2/js/ccQuickAdd.js	(revision 2005)
@@ -138,7 +138,7 @@
 		}
 		
-		var sdata = 'add='+escape(connector.serialize(sdata));
+		var sdata = 'add='+escape(expresso.connector.serialize(sdata));
 		var CC_url = '../index.php?menuaction=contactcenter.ui_data.data_manager&method=';
-		connector.newRequest('cQuickAdd.Send', CC_url+'quick_add', 'POST', handler, sdata);
+		expresso.connector.newRequest('cQuickAdd.Send', CC_url+'quick_add', 'POST', handler, sdata);
 	}
 	
Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 1969)
+++ /trunk/expressoMail1_2/js/search.js	(revision 2005)
@@ -185,5 +185,5 @@
 	// Pastas;
 	searchE.prototype.mount_folders = function(){
-		connector.loadScript("TreeS");
+		expresso.connector.loadScript("TreeS");
 
 		if( Element("div_folders_search") == null){
Index: /trunk/expressoMail1_2/js/local_messages.js
===================================================================
--- /trunk/expressoMail1_2/js/local_messages.js	(revision 1982)
+++ /trunk/expressoMail1_2/js/local_messages.js	(revision 2005)
@@ -119,10 +119,13 @@
 
 	local_messages.prototype.create_objects = function() {
-		if(this.dbGears == null)
-			this.dbGears = google.gears.factory.create('beta.database');
-		if(this.localServer == null)
-			this.localServer = google.gears.factory.create('beta.localserver');
-		if(this.store == null)
-			this.store = this.localServer.createStore('test-store');
+		try {
+			if(this.dbGears == null)
+				this.dbGears = google.gears.factory.create('beta.database');
+			if(this.localServer == null)
+				this.localServer = google.gears.factory.create('beta.localserver');
+			if(this.store == null)
+				this.store = this.localServer.createStore('test-store');
+		}
+		catch(e){}
 	}
 
Index: /trunk/expressoMail1_2/js/filter.js
===================================================================
--- /trunk/expressoMail1_2/js/filter.js	(revision 1546)
+++ /trunk/expressoMail1_2/js/filter.js	(revision 2005)
@@ -461,5 +461,5 @@
 				_this.out_officeF = false;
 				//Save outoffice in prefs:
-				connector.loadScript("preferences");
+				expresso.connector.loadScript("preferences");
 				prefe.save("outoffice", _this.out_officeF);
 			}
@@ -737,5 +737,5 @@
 				_this.out_officeF = (aux[4].replace("\n","") === "off") ? false : true;
 				//Save outoffice in prefs:
-				connector.loadScript("preferences");
+				expresso.connector.loadScript("preferences");
 				prefe.save("outoffice", _this.out_officeF);
 		}
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 1999)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 2005)
@@ -413,5 +413,5 @@
 				}
 			}
-			connector.newRequest('error.html', 'templates/'+template+'/error.html', 'GET',
+			expresso.connector.newRequest('error.html', 'templates/'+template+'/error.html', 'GET',
 				function(data)
 				{
@@ -2507,5 +2507,5 @@
 	table_message.appendChild(tbody_message);
 	form.appendChild(table_message);
-	connector.loadScript("rich_text_editor");
+	expresso.connector.loadScript("rich_text_editor");
 	RichTextEditor.loadEditor(ID);
 //////////////////////////////////////////////////////////////////////////////////////////////////////
Index: /trunk/expressoMail1_2/js/doiMenuData.js
===================================================================
--- /trunk/expressoMail1_2/js/doiMenuData.js	(revision 1615)
+++ /trunk/expressoMail1_2/js/doiMenuData.js	(revision 2005)
@@ -137,5 +137,5 @@
 
 function openListUsers(border_id) {
-	connector.loadScript("QuickCatalogSearch");
+	expresso.connector.loadScript("QuickCatalogSearch");
 	QuickCatalogSearch.showCatalogList(border_id);
 }
Index: /trunk/expressoMail1_2/js/rich_text_editor.js
===================================================================
--- /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 1296)
+++ /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 2005)
@@ -71,5 +71,5 @@
 	if (source) {
 		if (is_ie){
-			connector.loadScript('html2xhtml');
+			expresso.connector.loadScript('html2xhtml');
 			html = frames[this.editor].document.body;
 			var xhtml = get_xhtml(html, 'en', 'iso-8859-1');
@@ -469,5 +469,5 @@
 cRichTextEditor.prototype.show_pc = function(command)
 {
-	connector.loadScript("color_palette");
+	expresso.connector.loadScript("color_palette");
 	ColorPalette.loadPalette(this.id);
   	if (ColorPalette.div.style.visibility != "visible")