Index: /trunk/expressoMail1_2/js/sharemailbox.js
===================================================================
--- /trunk/expressoMail1_2/js/sharemailbox.js	(revision 1913)
+++ /trunk/expressoMail1_2/js/sharemailbox.js	(revision 2006)
@@ -227,5 +227,5 @@
 				users_setacl[i] = select_users.options[i].value;
 			}
-			attributes = connector.serialize(users_setacl);
+			attributes = expresso.connector.serialize(users_setacl);
 			
 			var handler_save = function(data)
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 2005)
+++ /trunk/expressoMail1_2/js/main.js	(revision 2006)
@@ -1446,6 +1446,6 @@
     if (typeof(data) == 'object' && !data.success)
 	{
-        connector = new  cConnector();
-        connector.showProgressBar();
+        connector = expresso.connector;
+        expresso.connector.showProgressBar();
 
         if (sign || crypt){
@@ -1529,5 +1529,5 @@
 
     if (!smime){ // Erro aconteceu ao assinar ou decifrar e-mail
-        connector = new  cConnector();
+        connector = expresso.connector;
         expresso.connector.hideProgressBar();
         return;
Index: /trunk/expressoMail1_2/js/local_messages.js
===================================================================
--- /trunk/expressoMail1_2/js/local_messages.js	(revision 2005)
+++ /trunk/expressoMail1_2/js/local_messages.js	(revision 2006)
@@ -67,5 +67,5 @@
             if (typeof this.Header == 'string')
             {
-                tmp = connector.unserialize(this.Header);
+                tmp = expresso.connector.unserialize(this.Header);
             }
             else
@@ -170,5 +170,5 @@
 		var rs = this.dbGears.execute('select rowid,header from mail where size is null');
 		while(rs.isValidRow()) {
-			var temp = connector.unserialize(rs.field(1));
+			var temp = expresso.connector.unserialize(rs.field(1));
 			
 			this.dbGears.execute('update mail set size='+temp.Size+' where rowid='+rs.field(0));
@@ -193,5 +193,5 @@
                     //this.dbGears.execute('begin transaction');
                     while(rs.isValidRow()) {
-                        //tmp = connector.unserialize(rs.field(1));
+                        //tmp = expresso.connector.unserialize(rs.field(1));
                         parser = new FlagsParser(rs.field(1));
                         flags = parser.parse();
@@ -236,9 +236,9 @@
 			
 			//This fields needs to be separeted to search.
-			var from = connector.serialize(msg_info.from);
+			var from = expresso.connector.serialize(msg_info.from);
 			var subject = msg_info.subject;
 			var body = msg_info.body;
-			var to = connector.serialize(msg_info.toaddress2);
-			var cc = connector.serialize(msg_info.cc);
+			var to = expresso.connector.serialize(msg_info.toaddress2);
+			var cc = expresso.connector.serialize(msg_info.cc);
 			var size = msg_header.Size;
 	
@@ -264,6 +264,6 @@
 			msg_header.aux_date = null; 
 			
-			var mail = connector.serialize(msg_info);
-			var header = connector.serialize(msg_header);
+			var mail = expresso.connector.serialize(msg_info);
+			var header = expresso.connector.serialize(msg_header);
 	
 			var timestamp = msg_info.timestamp;
@@ -344,5 +344,5 @@
 			 retorno = rs.field(1);
 		}
-		retorno = connector.unserialize(retorno);
+		retorno = expresso.connector.unserialize(retorno);
 
         //alert('tipo retorno.source: ' + typeof(retorno.source));
@@ -359,5 +359,5 @@
 		else
         {
-            retorno['from'] = connector.unserialize(rs.field(2));
+            retorno['from'] = expresso.connector.unserialize(rs.field(2));
             retorno['subject'] = rs.field(3);
             retorno['body'] = rs.field(4);
@@ -388,6 +388,6 @@
             }
 
-            retorno['to'] = connector.unserialize(rs.field(5));
-            retorno['cc'] = connector.unserialize(rs.field(6));
+            retorno['to'] = expresso.connector.unserialize(rs.field(5));
+            retorno['cc'] = expresso.connector.unserialize(rs.field(6));
 
             retorno['local_message'] = true;
@@ -476,5 +476,5 @@
 
 			var rs2 = this.dbGears.execute('select count(*) from anexo where id_mail = '+codigoMail);
-			var head_unserialized = connector.unserialize(head);
+			var head_unserialized = expresso.connector.unserialize(head);
 			head_unserialized.Size = rs.field(2);
 			if(rs.field(4)==1)
@@ -484,5 +484,5 @@
 			head_unserialized.subject=(head_unserialized.subject==null)?"":head_unserialized.subject;
 
-			//var email_unserialized = connector.unserialize(email);
+			//var email_unserialized = expresso.connector.unserialize(email);
 			retorno[cont] = head_unserialized;
 			retorno[cont]['msg_number'] = codigoMail;
@@ -585,5 +585,5 @@
 
 
-		mail = connector.unserialize(rs.field(0));		
+		mail = expresso.connector.unserialize(rs.field(0));		
 		download_local_attachment(mail.url_export_file)
 
@@ -612,5 +612,5 @@
 			
 			var rs = this.dbGears.execute("select header,unseen from mail where rowid=" + msgs_to_set[i]);
-			header = connector.unserialize(rs.field(0));
+			header = expresso.connector.unserialize(rs.field(0));
 			unseen = rs.field(1);
 			switch(flag) {
@@ -654,5 +654,5 @@
 				Element("check_box_message_" + msgs_to_set[i]).checked = false;
 
-			this.dbGears.execute("update mail set header='"+connector.serialize(header)+"',unseen="+unseen+" where rowid="+msgs_to_set[i]);			
+			this.dbGears.execute("update mail set header='"+expresso.connector.serialize(header)+"',unseen="+unseen+" where rowid="+msgs_to_set[i]);			
 		}
 		if(Element('chk_box_select_all_messages'))
@@ -764,5 +764,5 @@
 			rs2.close();
 			this.dbGears.execute("delete from anexo where id_mail=?",[rs.field(0)]);
-			var mail = connector.unserialize(rs.field(1));
+			var mail = expresso.connector.unserialize(rs.field(1));
 			this.store.remove(mail.url_export_file);
 			rs.next();
@@ -867,5 +867,5 @@
 		var retorno = "";
 		while(rs.isValidRow()) {
-                    var header = connector.unserialize(rs.field(0));
+                    var header = expresso.connector.unserialize(rs.field(0));
                     retorno+="##"+"local_"+rs.field(1)+"--"+header["from"]["name"]+"--"+header["subject"]+"--"+header["udate"]+"--"+this.aux_convert_size(rs.field(3))+"--"+header["Unseen"]+header["Recent"]+header["Flagged"]+header["Draft"]+"--"+rs.field(2)+"##";
                     rs.next();
@@ -1014,5 +1014,5 @@
             var timestamp="";
             while(rs.isValidRow()) {
-                mail=connector.unserialize(rs.field(0));
+                mail=expresso.connector.unserialize(rs.field(0));
                 source_tmp=escape(this.get_src(mail.url_export_file));
                     source+="#@#@#@"+source_tmp;
@@ -1026,5 +1026,5 @@
         {
             var rs = this.dbGears.execute("select mail,timestamp from mail where rowid="+msgs_number);
-            mail=connector.unserialize(rs.field(0));
+            mail=expresso.connector.unserialize(rs.field(0));
             var source ="";
             source = this.get_src(mail.url_export_file);
@@ -1056,5 +1056,5 @@
             rs = this.dbGears.execute("select mail from mail where original_id="+original_id);
         }
-        var tmp = connector.unserialize(rs.field(0));
+        var tmp = expresso.connector.unserialize(rs.field(0));
         var ret = new Array();
         ret.fulldate = tmp.fulldate.substr(0,16);
@@ -1072,5 +1072,5 @@
         this.init_local_messages();
         var rs = this.dbGears.execute("select mail from mail where rowid="+id);
-        var tmp = connector.unserialize(rs.field(0));
+        var tmp = expresso.connector.unserialize(rs.field(0));
         rs.close();
         this.finalize();
@@ -1105,5 +1105,5 @@
             var rs = this.dbGears.execute("select mail,subject from mail where rowid in ("+msgs_to_export_id+")");
             while(rs.isValidRow()){
-                mail = connector.unserialize(rs.field(0));
+                mail = expresso.connector.unserialize(rs.field(0));
                 mail.msg_source?src = mail.msg_source:src = this.get_src(mail.url_export_file);
                 subject = rs.field(1);
@@ -1145,5 +1145,5 @@
         while (rs.isValidRow()){
               msgs_to_export[j]=rs.field(2)
-              mail = connector.unserialize(rs.field(0));
+              mail = expresso.connector.unserialize(rs.field(0));
                       mail.msg_source?src = mail.msg_source:src = this.get_src(mail.url_export_file);
                       subject = rs.field(1);