Index: /trunk/phpgwapi/js/expressoAjax/expressoAjax.js
===================================================================
--- /trunk/phpgwapi/js/expressoAjax/expressoAjax.js	(revision 2011)
+++ /trunk/phpgwapi/js/expressoAjax/expressoAjax.js	(revision 2012)
@@ -466,5 +466,5 @@
 //------------------------------------  END: Functions for Progress Bar  -------------------------------------------------//
 	// Default Controller File
-	var DEFAULT_URL = 'controller.php?action=';
+	var URL_DEFAULT = '/controller.php?action=';
 	// connector object
 	var _onmouseup = document.onmouseup;
@@ -553,6 +553,5 @@
 			return;
 		}
-
-		url = DEFAULT_URL + url;
+		url = URL_DEFAULT + url;
 
 		if (expresso.connector.queryConnectorCache(params?url+"&"+params:url,handler))
Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 1991)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 2012)
@@ -1,5 +1,5 @@
 <?php
-define('PHPGW_INCLUDE_ROOT','../');
-define('PHPGW_API_INC','../phpgwapi/inc');	
+define('PHPGW_INCLUDE_ROOT','./');
+define('PHPGW_API_INC','./phpgwapi/inc');	
 include_once(PHPGW_API_INC.'/class.common.inc.php');
 include_once('class.functions.inc.php');
Index: /trunk/controller.php
===================================================================
--- /trunk/controller.php	(revision 2012)
+++ /trunk/controller.php	(revision 2012)
@@ -0,0 +1,73 @@
+<?php
+	if(!isset($GLOBALS['phpgw_info'])){
+        	$GLOBALS['phpgw_info']['flags'] = array(
+			'nonavbar'   => true,
+			'currentapp' => $_SESSION['phpgw_info']['expresso']['currentapp'],
+	                'noheader'   => true
+        	);
+	}
+	require_once './header.session.inc.php';
+
+	//	Explode action from cExecuteForm function
+	$cExecuteFormReturn = false;
+ 	if( isset( $_POST['_action'] ) ) { 		
+ 		if($_FILES) {
+ 			$count_files = $_POST['countFiles'];
+			$array_files = array(); 		
+ 			for($idx = 1; $idx <= $count_files; $idx++) { 		
+ 				if($_FILES['file_'.$idx] && !$_FILES['file_'.$idx]['error'])
+ 					$array_files[] = $_FILES['file_'.$idx]; 					 
+ 			}
+ 			$_POST['FILES'] = $array_files;
+ 		} 		  		
+ 		list($app,$class,$method) = explode('.',@$_POST['_action']);
+ 		$cExecuteFormReturn = true;
+ 	}
+ 	//	Explode action from cExecute function
+ 	else if($_GET['action'])
+		list($app,$class,$method) = explode('.',@$_GET['action']);
+	// NO ACTION
+	else
+		return $_SESSION['response'] = 'Post-Content-Length';
+	
+	// Load dinamically class file.
+	if($app == '$this')
+		$app = $_SESSION['phpgw_info']['expresso']['currentapp'];
+	
+	$filename = $app.'/inc/class.'.$class.'.inc.php';
+
+	include_once($filename);
+
+	// Create new Object  (class loaded).	
+	$obj = new $class;
+	
+	// Prepare parameters for execution.	
+	$params = array();
+	
+	// If array $_POST is not null , the submit method is POST. 
+	if($_POST) {
+		$params = $_POST;
+	}
+	// If array $_POST is null , and the array $_GET > 1, the submit method is GET.
+	else if(count($_GET) > 1)	{		
+		array_shift($_GET);
+		$params = $_GET;
+	}
+
+	$result = array();
+	
+	
+	// if params is not empty, then class method with parameters.	
+	if($params)
+		$result = $obj -> $method($params);
+	else 		
+		$result = $obj -> $method();
+		
+	// Return result serialized.	
+	
+
+	if(!$cExecuteFormReturn)
+		echo serialize($result);
+	else
+		$_SESSION['response'] = $result;
+?>
Index: /trunk/expressoMail1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 1992)
+++ /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 2012)
@@ -1,5 +1,5 @@
 <?php
-define('PHPGW_INCLUDE_ROOT','../');	
-define('PHPGW_API_INC','../phpgwapi/inc');	
+define('PHPGW_INCLUDE_ROOT','./');	
+define('PHPGW_API_INC','./phpgwapi/inc');	
 include_once(PHPGW_API_INC.'/class.db.inc.php');
 include_once('class.dynamic_contacts.inc.php');
Index: unk/expressoMail1_2/controller.php
===================================================================
--- /trunk/expressoMail1_2/controller.php	(revision 1738)
+++ 	(revision )
@@ -1,73 +1,0 @@
-<?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.session.inc.php';
-
-	//	Explode action from cExecuteForm function
-	$cExecuteFormReturn = false;
- 	if( isset( $_POST['_action'] ) ) { 		
- 		if($_FILES) {
- 			$count_files = $_POST['countFiles'];
-			$array_files = array(); 		
- 			for($idx = 1; $idx <= $count_files; $idx++) { 		
- 				if($_FILES['file_'.$idx] && !$_FILES['file_'.$idx]['error'])
- 					$array_files[] = $_FILES['file_'.$idx]; 					 
- 			}
- 			$_POST['FILES'] = $array_files;
- 		} 		  		
- 		list($app,$class,$method) = explode('.',@$_POST['_action']);
- 		$cExecuteFormReturn = true;
- 	}
- 	//	Explode action from cExecute function
- 	else if($_GET['action'])
-		list($app,$class,$method) = explode('.',@$_GET['action']);
-	// NO ACTION
-	else
-		return $_SESSION['response'] = 'Post-Content-Length';
-	
-	// Load dinamically class file.
-	if($app == '$this')
-		$filename = 'inc/class.'.$class.'.inc.php';
-	else
-		$filename = '../'.$app.'/inc/class.'.$class.'.inc.php';
-		
-	include_once($filename);	
-	
-	// Create new Object  (class loaded).	
-	$obj = new $class;
-	
-	// Prepare parameters for execution.	
-	$params = array();
-	
-	// If array $_POST is not null , the submit method is POST. 
-	if($_POST) {
-		$params = $_POST;
-	}
-	// If array $_POST is null , and the array $_GET > 1, the submit method is GET.
-	else if(count($_GET) > 1)	{		
-		array_shift($_GET);
-		$params = $_GET;
-	}
-
-	$result = array();
-	
-	
-	// if params is not empty, then class method with parameters.	
-	if($params)
-		$result = $obj -> $method($params);
-	else 		
-		$result = $obj -> $method();
-		
-	// Return result serialized.	
-	
-
-	if(!$cExecuteFormReturn)
-		echo serialize($result);
-	else
-		$_SESSION['response'] = $result;
-?>