Index: trunk/filemanager/js/draw_api.js
===================================================================
--- trunk/filemanager/js/draw_api.js	(revision 2010)
+++ trunk/filemanager/js/draw_api.js	(revision 2019)
@@ -12,5 +12,5 @@
 
 function loadHistory(filename){
-	cExecute('./index.php?menuaction=filemanager.uifilemanager.history&file='+base64_encode(filename)+"&path="+base64_encode(currentPath),draw_window);
+	cExecute_('./index.php?menuaction=filemanager.uifilemanager.history&file='+base64_encode(filename)+"&path="+base64_encode(currentPath),draw_window);
 }
 
@@ -163,5 +163,5 @@
 	window.onresize = resizeDiv;
 	document.body.style.overflow = "hidden";
-	cExecute('./index.php?menuaction=filemanager.uifilemanager.get_folders_list',handler.draw_folders_list);
+	cExecute_('./index.php?menuaction=filemanager.uifilemanager.get_folders_list',handler.draw_folders_list);
 }
 
@@ -483,5 +483,5 @@
 					inputName.value = filename;
 					inputName.onclick = function () { oldValue = inputName.value; }
-					inputName.onblur = function () { if (inputName.value == oldValue) handler.rename(); else cExecute('./index.php?menuaction=filemanager.vfs_functions.rename&file='+base64_encode(this.id.substr(6))+'&to='+base64_encode(this.value)+"&path="+base64_encode(currentPath),handler.rename) };
+					inputName.onblur = function () { if (inputName.value == oldValue) handler.rename(); else cExecute_('./index.php?menuaction=filemanager.vfs_functions.rename&file='+base64_encode(this.id.substr(6))+'&to='+base64_encode(this.value)+"&path="+base64_encode(currentPath),handler.rename) };
 					inputName.onkeydown=function (event) {if (event.keyCode == KEY_ENTER) this.blur(); };
 					nameLink.parentNode.appendChild(inputName);
@@ -512,5 +512,5 @@
 		case 'delete':
 			var filesUrl = this.getCheckedFiles();
-			cExecute('./index.php?menuaction=filemanager.vfs_functions.delete&path='+
+			cExecute_('./index.php?menuaction=filemanager.vfs_functions.delete&path='+
 					base64_encode(currentPath)+filesUrl,handler.del);
 			break;
@@ -530,5 +530,5 @@
 			}
 			var pswd = crypt.encode(password);
-			cExecute('./index.php?menuaction=filemanager.vfs_functions.archive&pswd='+base64_encode(pswd.toString())+'&path='+base64_encode(currentPath)+filesUrl,handler.archive);
+			cExecute_('./index.php?menuaction=filemanager.vfs_functions.archive&pswd='+base64_encode(pswd.toString())+'&path='+base64_encode(currentPath)+filesUrl,handler.archive);
 			break;
 		case 'move_to':
@@ -549,5 +549,5 @@
 			last_folder = last_folder ? last_folder : currentPath;
 			current_folder = current_folder ? current_folder : currentPath;
-			cExecute('./index.php?menuaction=filemanager.uifilemanager.dir_ls&path='+base64_encode(currentPath)+'&criteria='+criteria+'&otype='+order_type+'&limit='+preferences.files_per_page+'&offset='+offset,folderList.drawFiles);
+			cExecute_('./index.php?menuaction=filemanager.uifilemanager.dir_ls&path='+base64_encode(currentPath)+'&criteria='+criteria+'&otype='+order_type+'&limit='+preferences.files_per_page+'&offset='+offset,folderList.drawFiles);
 			return;
 		case 'tools':
@@ -584,11 +584,11 @@
 	if (password == null)
 		return;
-	cExecute('./index.php?menuaction=filemanager.vfs_functions.unarchive&pswd='+base64_encode(password)+'&path='+base64_encode(currentPath)+'&file='+base64_encode(filename),handler.archive);
+	cExecute_('./index.php?menuaction=filemanager.vfs_functions.unarchive&pswd='+base64_encode(password)+'&path='+base64_encode(currentPath)+'&file='+base64_encode(filename),handler.archive);
 }
 function move_to(to,filesUrl){
-	cExecute('./index.php?menuaction=filemanager.vfs_functions.moveto&from='+base64_encode(currentPath)+'&to='+base64_encode(to)+filesUrl,handler.moveto);
+	cExecute_('./index.php?menuaction=filemanager.vfs_functions.moveto&from='+base64_encode(currentPath)+'&to='+base64_encode(to)+filesUrl,handler.moveto);
 }
 function copy_to(to,filesUrl){
-	cExecute('./index.php?menuaction=filemanager.vfs_functions.copyto&from='+base64_encode(currentPath)+'&to='+base64_encode(to)+filesUrl,handler.copyto);
+	cExecute_('./index.php?menuaction=filemanager.vfs_functions.copyto&from='+base64_encode(currentPath)+'&to='+base64_encode(to)+filesUrl,handler.copyto);
 }
 
@@ -603,5 +603,5 @@
 		case 'user':
 			var url = './index.php?menuaction=filemanager.user.card&lid='+base64_encode(name);
-			menuTimeout = setTimeout("cExecute('"+url+"',draw_window_card)",500);
+			menuTimeout = setTimeout("cExecute_('"+url+"',draw_window_card)",500);
 			break;
 		default:
@@ -616,5 +616,5 @@
 		{
 			var parentDir = document.getElementById('folders_box').value;
-			cExecute('./index.php?menuaction=filemanager.uifilemanager.createdir&path='+base64_encode(parentDir)+'&filename='+base64_encode(name),handler.refreshDir);
+			cExecute_('./index.php?menuaction=filemanager.uifilemanager.createdir&path='+base64_encode(parentDir)+'&filename='+base64_encode(name),handler.refreshDir);
 			currentPath = parentDir+'/'+name;
 			close_window();
@@ -626,5 +626,5 @@
 			if (confirm(get_lang('Do you really want to remove folder: %1?',Dfolder), ''))
 			{
-				cExecute('./index.php?menuaction=filemanager.uifilemanager.removedir&path='+base64_encode(crypt.encode(Dfolder)),handler.refreshDir);
+				cExecute_('./index.php?menuaction=filemanager.uifilemanager.removedir&path='+base64_encode(crypt.encode(Dfolder)),handler.refreshDir);
 				var lastIndex = Dfolder.lastIndexOf('/');
 				currentPath = Dfolder.substr(0,lastIndex);